Method: partners.channels.get

  • The page provides documentation for getting a channel for a partner or advertiser using an HTTP GET request.

  • The request requires a channelId and either a partnerId or advertiserId to identify the channel and its owner.

  • The response body contains an instance of a Channel if the request is successful.

  • The request requires authorization with the https://www.googleapis.com/auth/display-video OAuth scope.

Gets a channel for a partner or advertiser.

HTTP request

GET https://displayvideo.googleapis.com/v4/partners/{partnerId}/channels/{channelId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
channelId

string (int64 format)

Required. The ID of the channel to fetch.

Required. Identifies the DV360 entity that owns the channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the fetched channel.

End of mutually exclusive fields.

Query parameters

Parameters
Required. Identifies the DV360 entity that owns the channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
advertiserId

string (int64 format)

The ID of the advertiser that owns the fetched channel.

End of mutually exclusive fields.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Channel.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.